- Qt 6.4
- Qt Core
- C++ Classes
- QSharedData
- Qt 6.4.2 Reference Documentation

# QSharedData Class

The QSharedData class is a base class for shared data objects. More...

Header: | #include <QSharedData>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Core) target_link_libraries(mytarget PRIVATE Qt6::Core)
qmake: | QT += core

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QSharedData(const QSharedData &)
| QSharedData()

## Detailed Description

QSharedData is designed to be used with QSharedDataPointer or QExplicitlySharedDataPointer to implement custom implicitly shared or explicitly shared classes. QSharedData provides thread-safe reference counting.

See QSharedDataPointer and QExplicitlySharedDataPointer for details.

## Member Function Documentation

### QSharedData::QSharedData(const QSharedData &)

Constructs a QSharedData object with reference count 0. The parameter is ignored.

### QSharedData::QSharedData()

Constructs a QSharedData object with a reference count of 0.